Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.resources.serialization
Interface Serializer

All Known Implementing Classes:
  XMLSerializer

public abstract interface Serializer

Method Summary
`AttributeHolder[]` | `readAttributeHolders(java.io.Reader reader)` Read the attribute holders using the given reader.
`ResourceDescription[]` | `readResourceDescriptions(java.io.Reader reader)` Read the resource descriptions using the given reader.
`Resource[]` | `readResources(java.io.Reader reader)` Read the resources using the given reader.
`void` | `writeResourceDescriptions(Resource[] descr, java.io.Writer writer)` Write the resource descriptions using the given writer.
`void` | `writeResourceDescriptions(ResourceDescription[] descr, java.io.Writer writer)` Write the resource descriptions using the given writer.
`void` | `writeResources(AttributeHolder[] holders, java.io.Writer writer)` Write the resources using the given writer.

Method Detail

### writeResourceDescriptions

    public void writeResourceDescriptions(ResourceDescription[] descr,
                                          java.io.Writer writer)
                                   throws java.io.IOException,
                                          SerializationException

  Write the resource descriptions using the given writer.
  Parameters:
    `descr` - the resource descriptions array
    `writer` - the writer

### writeResourceDescriptions

    public void writeResourceDescriptions(Resource[] descr,
                                          java.io.Writer writer)
                                   throws java.io.IOException,
                                          SerializationException

  Write the resource descriptions using the given writer.
  Parameters:
    `descr` - the resource descriptions array
    `writer` - the writer

### writeResources

    public void writeResources(AttributeHolder[] holders,
                               java.io.Writer writer)
                        throws java.io.IOException,
                               SerializationException

  Write the resources using the given writer.
  Parameters:
    `descr` - the resource array
    `writer` - the writer

### readResourceDescriptions

    public ResourceDescription[] readResourceDescriptions(java.io.Reader reader)
                                                   throws java.io.IOException,
                                                          SerializationException

  Read the resource descriptions using the given reader.
  Parameters:
    `writer` - the reader
  Returns:
    a ResourceDescription array

### readResources

    public Resource[] readResources(java.io.Reader reader)
                             throws java.io.IOException,
                                    SerializationException

  Read the resources using the given reader.
  Parameters:
    `writer` - the reader
  Returns:
    a Resources array

### readAttributeHolders

    public AttributeHolder[] readAttributeHolders(java.io.Reader reader)
                                           throws java.io.IOException,
                                                  SerializationException

  Read the attribute holders using the given reader.
  Parameters:
    `writer` - the reader
  Returns:
    a Resources array

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD